Subject: RE: [Fwd: Re: [mobile-ip] Piggybacking - DT recommendation]

From: Phil Roberts <[email-masked]>
Date: Thu, 14 Feb 2002 14:44:37 -0500

seems to me that there is no true technical excuse for not allowing
piggybacking and I can only infer logically that some deal making has been
done 
 
Wow.
 
  in order to progress the standard on some sort of deadline self-imposed by
some conflicting external SDOs. This prompted my initial criticism in that I
wanted to remind people that this is the IETF and we are supposed to deal
with the IP problem space - not the least common denominator link layer. 
 
Just to play devil's advocate - isn't the need for piggybacking tied to a
particular kind of link-layer (low bandwidth but with enough
headroom to stick in a few more bytes)?  Just curious.

I hope you see this as constructive and not a bantor.  

That is difficult for some parts of your message. 

Thanks, 

Glenn 

> -----Original Message----- 
> From: Erik Nordmark [mailto:[email-masked]
<mailto:[email-masked]> ] 
> Sent: Thursday, February 14, 2002 11:50 AM 
> To: Charles E. Perkins 
> Cc: Erik Nordmark; [email-masked]; Morrow, Glenn 
> [RICH2:C330:EXCH] 
> Subject: Re: [Fwd: Re: [mobile-ip] Piggybacking - DT recommendation] 
> 
> 
> 
> > I have tried to be very precise and technical in my discussion about 
> > piggybacking.  I have set out quite a few technical points (and 
> > logical points) that I had hoped would enable further discussion 
> > on the matter.  Maybe you are over-generalizing, but if you truly 
> > feel that my discussion was all heat and no light, then I have to 
> > object, and I very much want to ask you to take another look. 
> 
> Nobody has brought up any new points (well, except perhaps 
> Kempf's point 
> about i-mode using something akin to piggybacking but I don't know 
> if that is a link-layer type thing or an e2e thing) this time around. 
> 
> Thus there is no more light shining on the issue than there was 
> after the last round of discussions. 
> 
>   Erik 
> 
> 
>

---

From: "James Kempf" <[email-masked]>
Date: Thu, 14 Feb 2002 12:04:24 -0800

Phil,

> headroom to stick in a few more bytes)?  Just curious.

Yes, bandwidth is one issue. The solution some have proposed is
to stuff more than one IP packet into an L2 frame, but this
is hardly viable if the L2 frames are on the order of 40 bytes,
as is typically the case with these kinds of low bandwidth link layers.

Cedric and Charlie also have some argument that piggybacking
helps improve jitter.

            jak